# $Revision: 1.6 $, $Date: 2011/08/13 07:24:37 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		perl_version_stringify() %(perl -Mversion -le 'print version->parse(%1)->stringify' 2>/dev/null || ERROR)

%define		pdir	Device
%define		pver	%{perl_version_stringify %{version}}
%define		pver	0.0302
%define		pnam	USB-PCSensor-HidTEMPer
%include	/usr/lib/rpm/macros.perl
Summary:	Device::USB::PCSensor::HidTEMPer - Device overview
Name:		perl-Device-USB-PCSensor-HidTEMPer
Version:	0.03_02
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/MS/MSULLAND/Device-USB-PCSensor-HidTEMPer-%{pver}.tar.gz
# Source0-md5:	25b2f5dbb041282a7f17a66f1cd65054
# https://wwwx.cs.unc.edu/~hays/dev/bash/temper/temper_mon.pl
Source1:	temper_mon.pl
URL:		http://search.cpan.org/dist/Device-USB-PCSensor-HidTEMPer/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Device::USB::Device) >= 0.29
BuildRequires:	perl-Device-USB >= 0.31
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a simplified interface to the HidTEMPer thermometers
created by PCSensor. It hides any problems recognizing the correct
objects to initialize and the dependency on Device::USB.

%prep
%setup -q -n %{pdir}-%{pnam}-%{pver}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -p %{SOURCE1}  $RPM_BUILD_ROOT%{_bindir}/temper_mon
%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/temper_mon
%dir %{perl_vendorlib}/Device/USB
%dir %{perl_vendorlib}/Device/USB/PCSensor
%{perl_vendorlib}/Device/USB/PCSensor/*.pm
%{perl_vendorlib}/Device/USB/PCSensor/HidTEMPer
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Device-USB-PCSensor-HidTEMPer.spec,v $
Revision 1.6  2011/08/13 07:24:37  glen
- distfiles workaround

Revision 1.5  2011/08/13 04:18:45  glen
- cleanup

Revision 1.4  2011/08/13 04:15:49  glen
- add simple script to print out temp

Revision 1.3  2011/08/13 04:12:09  glen
- up to 0.03_02, perl5.8.patch applied

Revision 1.2  2011/04/14 06:37:01  glen
- perl 5.8 compat fix for ac

Revision 1.1  2011/02/14 14:54:13  glen
- created with pldcpan
